| xmonad-contrib-0.8.1: Third party extensions for xmonad | Source code | Contents | Index

XMonad.Prompt.Shell

Portability | unportable
Stability | unstable
Maintainer | andrea.rossato@unibz.it

Contents

Usage

Description
A shell prompt for XMonad
Synopsis

shellPrompt :: XPConfig -> X ()
getCommands :: IO [String]
getBrowser :: IO String
getEditor :: IO String
getShellCompl :: [String] -> String -> IO [String]
split :: Eq a => a -> [a] -> [[a]]
prompt :: FilePath -> XPConfig -> X ()
safePrompt :: FilePath -> XPConfig -> X ()

Usage

1. In your `~/.xmonad/xmonad.hs`:

     import XMonad.Prompt
     import XMonad.Prompt.Shell

2. In your keybindings add something like:

       , ((modMask x .|. controlMask, xK_x), shellPrompt defaultXPConfig)

For detailed instruction on editing the key binding see XMonad.Doc.Extending.

shellPrompt :: XPConfig -> X () | Source

getCommands :: IO [String] | Source

getBrowser :: IO String | Source

Ask the shell what browser the user likes. If the user hasn't defined any $BROWSER, defaults to returning "firefox", since that seems to be the most common X web browser. Note that if you don't specify a GUI browser but a textual one, that'll be a problem as `getBrowser` will be called by functions expecting to be able to just execute the string or pass it to a shell; so in that case, define $BROWSER as something like "xterm -e elinks" or as the name of a shell script doing much the same thing.

getEditor :: IO String | Source

Like `getBrowser`, but should be of a text editor. This gets the $EDITOR variable, defaulting to "emacs".

getShellCompl :: [String] -> String -> IO [String] | Source

split :: Eq a => a -> [a] -> [[a]] | Source

prompt :: FilePath -> XPConfig -> X () | Source

safePrompt :: FilePath -> XPConfig -> X () | Source

Produced by Haddock version 2.4.2